jQuery(document).ready(function () {
    if (jQuery(".BrodosCartCount").length) {
        var cartCount = setInterval(cartCountRefresh, 10000);
        function cartCountRefresh() {
            var siteLink = jQuery(".BrodosCartCount").first().data("site");
            var countAPILink = siteLink + '/api/v1/get_count';
            jQuery.ajax({
                url: countAPILink,
                dataType: 'json',
                type: 'GET',
                crossDomain: true,
                xhrFields: {
                    withCredentials: true
                },
                success: function (data) {
                    cartCount = data['cart_count'];
                    jQuery(".BrodosCartCount").attr("data-count", cartCount);
                    jQuery(".BrodosCartCount:not(.showCount)").addClass('showCount');
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    console.error("There was a problem with get_count API.");
                    clearInterval(cartCount);
                }
            });
        }
        cartCountRefresh();
    }
});