<?php

namespace BrodosOnlineshopElementor;

class Plugin {

    private static $_instance = null;

    function add_elementor_widget_categories($elements_manager) {
        $elements_manager->add_category(
                'brodos-onlineshop', [
            'title' => __('brodos.net Onlineshop', 'brodos-onlineshop'),
            'icon' => 'fa fa-plug'
                ]
        );
    }

    public static function instance() {
        if (is_null(self::$_instance)) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }

    public function widget_scripts() {
        wp_register_script('elementor-hello-world', plugins_url('/assets/hello-world.js', __FILE__), ['jquery'], false, true);
    }

    private function include_widgets_files() {
        //require_once( __DIR__ . '/widgets/hello-world.php' );
        require_once( __DIR__ . '/widgets/brodos-search.php' );
        require_once( __DIR__ . '/widgets/brodos-cart.php' );
        require_once( __DIR__ . '/widgets/brodos-category.php' );
    }

    public function register_widgets() {
        // Its is now safe to include Widgets files
        $this->include_widgets_files();

        // Register Widgets
        //\Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\Hello_World());
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\Brodos_Search());
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\Brodos_Cart());
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\Brodos_Category());
    }

    public function __construct() {
        add_action('elementor/elements/categories_registered', [$this, 'add_elementor_widget_categories']);
        add_action('elementor/frontend/after_register_scripts', [$this, 'widget_scripts']);
        add_action('elementor/widgets/widgets_registered', [$this, 'register_widgets']);
    }

}

// Instantiate Plugin Class
Plugin::instance();
