<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class onlineshopFormHandling {
    /*
     * Form submission handling of Global URL.
     */

    public function handle_form() {
        if (!isset($_POST['onlineshop_search_form']) || !wp_verify_nonce($_POST['onlineshop_search_form'], 'onlineshop_search_update')) {
            ?>
            <div class="notice notice-error is-dismissible">
                <p>Sorry, je nonce was niet correct. Probeer het nog eens.</p>
            </div> <?php
            exit;
        } else {

            function is_url($uri) {
                if (preg_match('%^(?:(?:https?|ftp)://)(?:\S+(?::\S*)?@|\d{1,3}(?:\.\d{1,3}){3}|(?:(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)(?:\.(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)*(?:\.[a-z\x{00a1}-\x{ffff}]{2,6}))(?::\d+)?(?:[^\s]*)?$%iu', $uri)) {
                    return TRUE;
                } else {
                    return FALSE;
                }
            }

            $brodos_shop_url = sanitize_text_field($_POST['brodos_shop_url']);
            if (is_url($brodos_shop_url)) {
                update_option('brodos_shop_url', $brodos_shop_url);
                ?>
                <div class="notice notice-success is-dismissible">
                    <p>Uw instellingen zijn bijgewerkt!</p>
                </div>
            <?php } else { ?>
                <div class="notice notice-error is-dismissible">
                    <p>Uw URL of Page waren ongeldig.</p>
                </div>
                <?php
            }
        }
    }

    /*
     * Form submission handling of category form.
     */

    public function handle_cat_form() {
        if (!isset($_POST['onlineshop_cat_form']) || !wp_verify_nonce($_POST['onlineshop_cat_form'], 'onlineshop_cat_update')) {
            ?>
            <div class="notice notice-error is-dismissible">
                <p>Sorry, je nonce was niet correct. Probeer het nog eens.</p>
            </div>
            <?php
            exit;
        } else {

            function is_url($uri) {
                if (preg_match('%^(?:(?:https?|ftp)://)(?:\S+(?::\S*)?@|\d{1,3}(?:\.\d{1,3}){3}|(?:(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)(?:\.(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)*(?:\.[a-z\x{00a1}-\x{ffff}]{2,6}))(?::\d+)?(?:[^\s]*)?$%iu', $uri)) {
                    return TRUE;
                } else {
                    return FALSE;
                }
            }

            $brodos_cat_url = $_POST['brodos_cat_url'];

            if (!is_url($brodos_cat_url)) {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Die angegebene URL kann nicht verarbeitet werden.</p>
                </div>
                <?php
            } else if (trim($_POST['brodos_cat_type'], " ") == "") {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Bitte w&auml;hlen Sie ein zul&auml;ssiges Format f&uuml;r die anzuzeigende Kategorie aus.</p>
                </div>
                <?php
            } else if (trim($_POST['brodos_cat_text'], " ") == "") {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Bitte geben Sie Ihren Wunschtext in dem hierf&uuml;r vorgesehenen Format ein.</p>
                </div>
                <?php
            } else if ($_POST['brodos_cat_type'] == 'menu') {
                $postdata = array(
                    'post_type' => 'brodos_category',
                    'post_title' => sanitize_text_field($_POST['brodos_cat_text']),
                    'post_status' => 'publish'
                );
                $newid = wp_insert_post($postdata);
                add_post_meta($newid, 'brodos_category_link', $brodos_cat_url, true);
                ?>
                <div class="shortcodeDisplay">
                    <code id="brodosCat">Neue Kategorieverlinkung wurde erstellt, Bitte klicken Sie auf <strong>'Aussehen' > 'Men&uuml;s'</strong>, um die Kategorie als Men&uuml;punkt anzulegen.</code>
                </div>
                <?php
            } else {
                ?>
                <div class="shortcodeDisplay">
                    <code id="brodosCat">[BrodosCategory type="<?php echo $_POST['brodos_cat_type']; ?>" url="<?php echo $brodos_cat_url; ?>" data="<?php echo $_POST['brodos_cat_text']; ?>"]</code>
                    <button class="button button-primary shortcodeCopyButton" data-target="brodosCat"><?php _e('Copy'); ?></button>
                </div>
                <?php
            }
        }
    }

    /*
     * Form submission handling of search group form.
     */

    public function handle_search_group_form() {
        if (!isset($_POST['onlineshop_search_group_form']) || !wp_verify_nonce($_POST['onlineshop_search_group_form'], 'onlineshop_search_group_update')) {
            ?>
            <div class="notice notice-error is-dismissible">
                <p>Sorry, je nonce was niet correct. Probeer het nog eens.</p>
            </div> <?php
            exit;
        } else {

            function is_url($uri) {
                if (preg_match('%^(?:(?:https?|ftp)://)(?:\S+(?::\S*)?@|\d{1,3}(?:\.\d{1,3}){3}|(?:(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)(?:\.(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)*(?:\.[a-z\x{00a1}-\x{ffff}]{2,6}))(?::\d+)?(?:[^\s]*)?$%iu', $uri)) {
                    return TRUE;
                } else {
                    return FALSE;
                }
            }

            $brodos_search_group_url = $_POST['brodos_search_group_url'];

            if (!is_url($brodos_search_group_url)) {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Die angegebene URL kann nicht verarbeitet werden.</p>
                </div>
                <?php
            } else if (trim($_POST['brodos_search_group_type'], " ") == "") {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Bitte w&auml;hlen Sie ein zul&auml;ssiges Format f&uuml;r die anzuzeigende Kategorie aus.</p>
                </div>
                <?php
            } else if (trim($_POST['brodos_search_group_text'], " ") == "") {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Bitte geben Sie Ihren Wunschtext in dem hierf&uuml;r vorgesehenen Format ein.</p>
                </div>
                <?php
            } else if ($_POST['brodos_search_group_type'] == 'menu') {
                $postdata = array(
                    'post_type' => 'brodos_prod_group',
                    'post_title' => sanitize_text_field($_POST['brodos_search_group_text']),
                    'post_status' => 'publish'
                );
                $newid = wp_insert_post($postdata);
                add_post_meta($newid, 'brodos_prod_group_link', $brodos_search_group_url, true);
                ?>
                <div class="shortcodeDisplay">
                    <code id="brodosCat">Neue Produktgruppenverlinkung wurde erstellt, Bitte klicken Sie auf <strong>'Aussehen' > 'Men&uuml;s'</strong>, um die Produktgruppe als Men&uuml;punkt anzulegen.</code>
                </div>
                <?php
            } else {
                ?>
                <div class="shortcodeDisplay">
                    <code id="brodosSearchGroup">[BrodosSearchGroup type="<?php echo $_POST['brodos_search_group_type']; ?>" url="<?php echo $brodos_search_group_url; ?>" data="<?php echo $_POST['brodos_search_group_text']; ?>"]</code>
                    <button class="button button-primary shortcodeCopyButton" data-target="brodosSearchGroup"><?php _e('Copy'); ?></button>
                </div>
                <?php
            }
        }
    }

    /*
     * Form submission handling of article form.
     */

    public function handle_article_linking_form() {
        if (!isset($_POST['onlineshop_article_linking_form']) || !wp_verify_nonce($_POST['onlineshop_article_linking_form'], 'onlineshop_article_linking_update')) {
            ?>
            <div class="notice notice-error is-dismissible">
                <p>Sorry, je nonce was niet correct. Probeer het nog eens.</p>
            </div> <?php
            exit;
        } else {

            function is_url($uri) {
                if (preg_match('%^(?:(?:https?|ftp)://)(?:\S+(?::\S*)?@|\d{1,3}(?:\.\d{1,3}){3}|(?:(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)(?:\.(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)*(?:\.[a-z\x{00a1}-\x{ffff}]{2,6}))(?::\d+)?(?:[^\s]*)?$%iu', $uri)) {
                    return TRUE;
                } else {
                    return FALSE;
                }
            }

            $brodos_article_linking_url = $_POST['brodos_article_linking_url'];

            if (!is_url($brodos_article_linking_url)) {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Die angegebene URL kann nicht verarbeitet werden.</p>
                </div>
                <?php
            } else if (trim($_POST['brodos_article_linking_type'], " ") == "") {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Bitte w&auml;hlen Sie ein zul&auml;ssiges Format f&uuml;r die anzuzeigende Kategorie aus.</p>
                </div>
                <?php
            } else if (trim($_POST['brodos_article_linking_text'], " ") == "") {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Bitte geben Sie Ihren Wunschtext in dem hierf&uuml;r vorgesehenen Format ein.</p>
                </div>
                <?php
            } else if ($_POST['brodos_article_linking_type'] == 'menu') {
                $postdata = array(
                    'post_type' => 'brodos_article',
                    'post_title' => sanitize_text_field($_POST['brodos_article_linking_text']),
                    'post_status' => 'publish'
                );
                $newid = wp_insert_post($postdata);
                add_post_meta($newid, 'brodos_article_link', $brodos_article_linking_url, true);
                ?>
                <div class="shortcodeDisplay">
                    <code id="brodosCat">Neue Artikelverlinkung wurde erstellt, Bitte klicken Sie auf <strong>'Aussehen' > 'Men&uuml;s'</strong>, um den Artikel als Men&uuml;punkt anzulegen.</code>
                </div>
                <?php
            } else {
                ?>
                <div class="shortcodeDisplay">
                    <code id="brodosArticleLinking">[BrodosArticle type="<?php echo $_POST['brodos_article_linking_type']; ?>" url="<?php echo $brodos_article_linking_url; ?>" data="<?php echo $_POST['brodos_article_linking_text']; ?>"]</code>
                    <button class="button button-primary shortcodeCopyButton" data-target="brodosArticleLinking"><?php _e('Copy'); ?></button>
                </div>
                <?php
            }
        }
    }

    /*
     * Form submission handling of article fetching.
     */
    /*
    public function handle_article_link_form() {
        if (!isset($_POST['onlineshop_article_link_form']) || !wp_verify_nonce($_POST['onlineshop_article_link_form'], 'onlineshop_article_link_update')) {
            ?>
            <div class="notice notice-error is-dismissible">
                <p>Sorry, je nonce was niet correct. Probeer het nog eens.</p>
            </div> <?php
            exit;
        } else {

            function is_url($uri) {
                if (preg_match('%^(?:(?:https?|ftp)://)(?:\S+(?::\S*)?@|\d{1,3}(?:\.\d{1,3}){3}|(?:(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)(?:\.(?:[a-z\d\x{00a1}-\x{ffff}]+-?)*[a-z\d\x{00a1}-\x{ffff}]+)*(?:\.[a-z\x{00a1}-\x{ffff}]{2,6}))(?::\d+)?(?:[^\s]*)?$%iu', $uri)) {
                    return TRUE;
                } else {
                    return FALSE;
                }
            }

            $brodos_article_link_url = $_POST['brodos_article_link_url'];

            if (!is_url($brodos_article_link_url)) {
                ?>
                <div class="notice notice-error is-dismissible">
                    <p>Die angegebene URL kann nicht verarbeitet werden.</p>
                </div>
                <?php
            } else {
                ?>
                
                <?php
            }
        }
    }
    */
}
